---
title: Workshop Instructions 
nav_order: 4
has_children: true
---

## Overview 
This is the hands-on portion of the workshop. The instructor will walk you through how to set up a project, create an assignment and then actually complete the assignment as if you were a student so that you can see how the process works. You'll also the learn the workflow to invite an entire course to the course project. 


In this section you will:

1. Setup your classroom in GitLab
    1. Create a group and a project for your class
    1. Create an issue for an assignment to create a Magic 8 Ball
    1. Create a python file in your project repository 
1. Add code to your repository and run it 
    1. Add the Magic 8 Ball python code to the file 
    1. Connect to GitPod
    1. Run the Magic 8 Ball code in GitPod
1. Edit and commit code  
    1. Change a variable in the Magic 8 Ball
    1. Save and commit the code 
    1. Run the code to see the changes
1. Learn worktflow for inviting students to the course project


[Next Page](https://devops-education.gitlab.io//workshops/practical-classroom-workshop/course/work-setup/)
